Eclipse Platform Release 3.7

## org.eclipse.ui.part
Interface IContributedContentsView

    public interface IContributedContentsView

This interface is used to identify workbench views which allow other parts (typically the active part) to supply their contents. The interface allows access to the part which contributed the current contents.

Method Summary
`IWorkbenchPart` `getContributingPart()` Returns the workbench part which contributed the current contents of this view.

Method Detail

### getContributingPart

    IWorkbenchPart getContributingPart()

  Returns the workbench part which contributed the current contents of this view.

  Returns:
    the part which contributed the current contents

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.